Bug 1264495 - [abrt] cinnamon: XQueryPointer(): cinnamon killed by SIGTRAP [NEEDINFO]
[abrt] cinnamon: XQueryPointer(): cinnamon killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:84ad67b7ed2c3323872fc412293...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 11:18 EDT by mfkrokus
Modified: 2015-12-02 13:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:23:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: needinfo? (mfkrokus)


Attachments (Terms of Use)
File: backtrace (71.91 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: core_backtrace (25.88 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: dso_list (22.14 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: environ (1.72 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: maps (115.37 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: open_fds (6.87 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-09-18 11:18 EDT, mfkrokus
no flags Details

  None (edit)
Description mfkrokus 2015-09-18 11:18:22 EDT
Version-Release number of selected component:
cinnamon-2.6.13-7.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: XQueryPointer
executable:     /usr/bin/cinnamon
kernel:         4.1.6-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #8 XQueryPointer at QuPntr.c:48
 #9 meta_screen_get_mouse_window at core/screen.c:2063
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:525
 #12 gjs_invoke_c_function(JSContext*, Function*, JSObject*, unsigned int, jsval*, jsval*, GArgument*) at gi/function.cpp:932
 #13 function_call(JSContext*, unsigned int, jsval*) at gi/function.cpp:1254
 #14 js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct) at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321
 #16 Interpret(JSContext*, js::RunState&) at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2298
 #17 js::RunScript(JSContext*, js::RunState&) at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:438
 #18 js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct) at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:500
Comment 1 mfkrokus 2015-09-18 11:18:26 EDT
Created attachment 1074968 [details]
File: backtrace
Comment 2 mfkrokus 2015-09-18 11:18:27 EDT
Created attachment 1074969 [details]
File: cgroup
Comment 3 mfkrokus 2015-09-18 11:18:28 EDT
Created attachment 1074970 [details]
File: core_backtrace
Comment 4 mfkrokus 2015-09-18 11:18:30 EDT
Created attachment 1074971 [details]
File: dso_list
Comment 5 mfkrokus 2015-09-18 11:18:31 EDT
Created attachment 1074972 [details]
File: environ
Comment 6 mfkrokus 2015-09-18 11:18:32 EDT
Created attachment 1074973 [details]
File: limits
Comment 7 mfkrokus 2015-09-18 11:18:34 EDT
Created attachment 1074974 [details]
File: maps
Comment 8 mfkrokus 2015-09-18 11:18:36 EDT
Created attachment 1074975 [details]
File: open_fds
Comment 9 mfkrokus 2015-09-18 11:18:37 EDT
Created attachment 1074976 [details]
File: proc_pid_status
Comment 10 leigh scott 2015-09-18 12:05:10 EDT
Please provide steps to reproduce this issue
Comment 11 Fedora End Of Life 2015-11-04 05:29:02 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-12-02 10:24:04 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.